using System.Collections;
using System.Collections.Generic;
using Unity.VisualScripting;
using UnityEngine;

public class ObstacleColliderSetter : MonoBehaviour
{
    public MeshRenderer[] meshRenderers;
    void Start()
    {
        //Func();
    }
    //private void OnValidate()
    //{
    //    //Func();
    //}
    void Func()
    {
        meshRenderers=FindObjectsOfType<MeshRenderer>();
        for(int i = 0; i < meshRenderers.Length; i++)
        {
            meshRenderers[i].AddComponent<MeshCollider>();
        }

    }
}
